Bug 1447764 - [3.2] During cluster issues, node left mounts on the nodes referring to Persistent Storage, these mounts removed all the data from the PVs [NEEDINFO]
Summary: [3.2] During cluster issues, node left mounts on the nodes referring to Persi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 3.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.2.1
Assignee: hchen
QA Contact: Liang Xia
URL:
Whiteboard:
Depends On: 1447312 1447763
Blocks: 1447765 1447767 1447768
TreeView+ depends on / blocked
 
Reported: 2017-05-03 18:38 UTC by Bradley Childs
Modified: 2020-07-16 09:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: During cluster issues, node left mounts on the nodes referring to Persistent Storage, these mounts removed all the data from the PV. Consequence: Data on the PVs are deleted. Fix: Cleaning up Pods on the nodes doesn't delete data on PVs. Result: Data on the PVs are no longer deleted during Pods cleanup.
Clone Of: 1447763
: 1447765 (view as bug list)
Environment:
Last Closed: 2017-06-15 18:38:43 UTC
Target Upstream Version:
jhou: needinfo? (bchilds)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1425 0 normal SHIPPED_LIVE OpenShift Container Platform 3.5, 3.4, 3.3, and 3.2 bug fix update 2017-06-15 22:35:53 UTC

Comment 1 Eric Paris 2017-05-11 15:51:40 UTC
https://github.com/openshift/ose/pull/732

Comment 5 Jianwei Hou 2017-05-31 10:05:57 UTC
Verified on openshift v3.2.1.31
kubernetes v1.2.0-36-g4a3f9c5
etcd 2.2.5

Steps:
1. Create NFS PV and create an  app using the jenkins-persistent template.
2. Once the jenkins pod is running, bring down the node by stopping it's node service.
3. The pod will be redeployed to another schedulable node.
4. After the pod is deployed to another node, bring back the stopped node service.
5. On the original node, verify the jenkins pod volume is successfully unmounted, the pod directory is removed while all data in the persistent volume are still there.

Comment 7 errata-xmlrpc 2017-06-15 18:38:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1425


Note You need to log in before you can comment on or make changes to this bug.